Package org.apache.qpid.proton.codec

# Interface PrimitiveTypeEncoding<T>

All Superinterfaces:
  `TypeConstructor<T>`, `TypeEncoding<T>`

All Known Subinterfaces:
  `ArrayType.ArrayEncoding`, `BigIntegerType.BigIntegerEncoding`, `BooleanType.BooleanEncoding`, `IntegerType.IntegerEncoding`, `LongType.LongEncoding`, `StringType.StringEncoding`, `SymbolType.SymbolEncoding`, `UnsignedIntegerType.UnsignedIntegerEncoding`, `UnsignedLongType.UnsignedLongEncoding`

All Known Implementing Classes:
  `ByteType.ByteEncoding`, `CharacterType.CharacterEncoding`, `DoubleType.DoubleEncoding`, `FloatType.FloatEncoding`, `ShortType.ShortEncoding`, `UnsignedByteType.UnsignedByteEncoding`

public interface PrimitiveTypeEncoding<T> extends TypeEncoding<T>, TypeConstructor<T>

## Method Summary

Modifier and Type
Method
Description
`int`
`getConstructorSize()`
`byte`
`getEncodingCode()`
`PrimitiveType<T>`
`getType()`
`void`
`writeConstructor()`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### getType

PrimitiveType<T> getType()

Specified by:
  `getType` in interface `TypeEncoding<T>`

### getEncodingCode

byte getEncodingCode()

### writeConstructor

void writeConstructor()

Specified by:
  `writeConstructor` in interface `TypeEncoding<T>`

### getConstructorSize

int getConstructorSize()

Specified by:
  `getConstructorSize` in interface `TypeEncoding<T>`